<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<link id="contextPathHolder" data-contextPath="${pageContext.request.contextPath}"/>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">

	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<meta name="description" content="" />
	<meta name="author" content="" />

	<link rel="icon" href="<c:url value="/resources/assets/images/favicon.ico"/>">

	<title>DELFINES HOTEL & CONVENTION CENTER</title>

	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jquery-ui/css/no-theme/jquery-ui-1.10.3.custom.min.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/entypo/css/entypo.css"/>">
	<link rel="stylesheet" href="//fonts.googleapis.com/css?family=Noto+Sans:400,700,400italic">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/bootstrap.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-core.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-theme.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-forms.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/custom.css"/>">
	
	<script src="./resources/assets/js/jquery-1.11.3.min.js"></script>


	<script type="text/javascript"	src="<c:url value="/resources/js/fn_rooms.js?2" />"></script>

	<style>
		
		.panel-brown > .panel-heading {
	  		background-color: #c97f7f;
		}
		
		.label-brown {
		  background-color: #A52A2A;
		}
		
	</style>
	
</head>

<body class="page-body">
	<div class="container">
		<div class="panel-group">
		
			<div class="panel panel-invert">
				<div class="panel-heading clearfix">
				      <h4 class="panel-title pull-left"><b>Disponibilidad de Camas</b></h4>
				      <div class="btn-group pull-right">
				      		<img src="./resources/assets/img/logo.png" height="40px">
				      </div>
			    </div>
			</div>

			<div class="panel panel-gradient">
				<div class="col-md-6 col-sm-6 col-xs-6 col-sm-6 col-xs-6 ">
				  	<button id="cmdIngresar" style="width:100%" class="btn btn-block btn-success ripple-effect"  type="button" name="Submit" alt="sign in">Cambiar Password</button>
				</div>
				
				<div class="col-md-6 col-sm-6 col-xs-6 col-sm-6 col-xs-6 ">
			    	<button id="cmdSalir" style="width:100%" class="btn btn-block btn-danger ripple-effect"  type="button" name="Submit" alt="sign in">Salir</button>
				</div>
			</div>		
									
			 <div class="panel panel-gradient">   
			    <div class="panel-heading clearfix">
			    
	    			<div class="panel-heading clearfix">
	    				<input type="hidden" id="hIdBusinessDate">
				        <input id="txtBusinessDate" type="text" placeholder="Desde" value="${name_day}" required="required"  list="lBusinessDate" data-list='lBusinessDate' autocomplete="off" class="form-control k-textbox" data-role="text" >
				        
				        <datalist id="lBusinessDate">
				        	<option data-value="0" id="0" value="Todos"></option>
							<c:forEach items="${items}" var="o" varStatus="i" >
								<option data-value="${o.n}" id="${o.n}" value="${o.businessDate}"></option>
							</c:forEach>	
						</datalist>
						
					</div>	
							
			    	<c:forEach items="${lista}" var="o" varStatus="i" >
							<div class="col-sm-6 col-xs-12">
							
							    <div class="tile-stats tile-green">
							        <div class="icon"><p style="font-weight: bold;" >Hab disp.&nbsp;${o.availability}&nbsp;-&nbsp;ocup.&nbsp;${o.ocupability}&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;${o.businssDate} ${o.diaSemana}</p></div>
							        <c:if test="${(o.diaSemana eq 'Domingo') }">
							        	<div class="icon"><i class="entypo-volume"></i></div>
							        </c:if>	
							        							        
							        <div class="row">
						            	<div class="col-md-12 col-sm-12 col-xs-12 col-sm-12 col-xs-12">
						                	<div class="form-group">
										    	<P style="font-weight: bold;${o.avalBeds<0?'color:#000000;':'font-weight: bold'}" class="col-md-4 col-md-4 col-sm-4 col-xs-4 col-xs-">
										    	
										    		<a style="color:#ffffff" href="#" onclick="setDetails(${o.n},9)" data-toggle="modal" data-target="#mViewDetails" >
										    			Camas Disp.&nbsp;&nbsp;${o.avalBeds}
										    		</a>
										    	</P>
										    	
										    	<P style="font-weight: bold;${o.avalCat0<0?'color:#000000;':'font-weight: bold'}" class="col-md-4 col-md-4 col-sm-4 col-xs-4 col-xs-4"></P>
												<P style="font-weight: bold;${o.avalCat1<0?'color:#000000;':'font-weight: bold'}" class="col-md-4 col-md-4 col-sm-4 col-xs-4 col-xs-4">
													<a style="color:#ffffff" href="#" onclick="setDetails(${o.n},1)" data-toggle="modal" data-target="#mViewDetails" >
														SPL&nbsp;&nbsp;&nbsp;&nbsp;${o.avalCat1}
													</a>	
												</P>
											</div>
										</div>
									</div>
									
							        <div class="row">
						            	<div class="col-md-12 col-sm-12 col-xs-12">	
						                	<div class="form-group">	
						                		<P style="font-weight: bold;${o.avalCat2<0?'color:#000000;':''}" class="col-md-4 col-sm-4 col-xs-4">
						                			<a style="color:#ffffff" href="#" onclick="setDetails(${o.n},2)" data-toggle="modal" data-target="#mViewDetails" >
						                				DBL&nbsp;&nbsp;&nbsp;&nbsp;${o.avalCat2}
						                			</a>	
						                		</P>
										    	<P style="font-weight: bold;${o.avalCat3<0?'color:#000000;':''}" class="col-md-4 col-sm-4 col-xs-4">
										    		<a style="color:#ffffff" href="#" onclick="setDetails(${o.n},3)" data-toggle="modal" data-target="#mViewDetails" >
										    			TRP&nbsp;&nbsp;&nbsp;&nbsp;${o.avalCat3}
										    		</a>	
										    	</P>
												<P style="font-weight: bold;${o.avalCat4<0?'color:#000000;':''}" class="col-md-4 col-sm-4 col-xs-4">
													<a style="color:#ffffff" href="#" onclick="setDetails(${o.n},4)" data-toggle="modal" data-target="#mViewDetails" >
														CDP&nbsp;&nbsp;&nbsp;&nbsp;${o.avalCat4}
													</a>	
												</P>
											</div>
										</div>
									</div>
									
							    </div>
							</div>
						</c:forEach>	
				</div>			
			</div>
		</div>
	</div>			
	
	<!-- Modal : Inicio -->
	<div id="mViewDetails" class="modal fade" role="dialog">
	  <div class="modal-dialog">
	
	    <!-- Modal content-->
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal">&times;</button>
	        <h4 class="modal-title">Room status details</h4>
	      </div>
	      
	      <div class="modal-body">
	      
				<div class="row">
					<div class="col-md-12">
					
				    	<table id="lDetails"  width="100%" border="1">
				    		<tr >
				    			<td>
				    				
				    			</td>
				    			<td>
				    				Room
				    			</td>
				    			<td>
				    				Category
				    			</td>
				    			<td>
				    				Status
				    			</td>
				    		<tr>
				    	</table>
					</div>
				</div>
				
	      </div>
	      
	      <div class="modal-footer">
	      	<input type="hidden" id="hN">
	      	<input type="hidden" id="hLabel">
	        <button type="button" id="cmdClose" class="btn btn-default" data-dismiss="modal">Close</button>
	      </div>
	    </div>
	
	  </div>
	</div>
	<!-- Modal : Fin -->	
		
	<script>
		var baseURL=$('#contextPathHolder').attr('data-contextPath');

		function setDetails(n,label){
			$('#hN').val(n);
			$('#hLabel').val(label);
		}

		$('#mViewDetails').on('show.bs.modal', function () {

			var n=$('#hN').val();
			var label=$('#hLabel').val();
			
			$.ajax({
				url : baseURL + "/get-beds-details",
				data : {
					n: n,
					label:label	
				},
				async:false,
				type : "get",
				contentType: "application/json", //this is required for spring 3 - ajax to work (at least for me)
				dataType : 'json',
				success : function(data) {
					
					$("#lDetails tr").remove();
					  var table = document.getElementById("lDetails");
		        	  
		        	  var rowCount = table.rows.length;
		              var row = table.insertRow(rowCount);

		              var cell0 = row.insertCell(0);
		              cell0.innerHTML = ''
		              
		              var cell1 = row.insertCell(1);
		              cell1.innerHTML = 'Room'

		           	  var cell2 = row.insertCell(2);
		              cell2.innerHTML = 'Label'
		            	  
		              var cell3 = row.insertCell(3);
		              cell3.innerHTML = 'Category'

					if(data.length) {
			          for(var i=0, len=data.length; i<len; i++) {

			        	  if(i==0&&1==data[i]['id']){
				              var cell4 = row.insertCell(4);
				              cell4.innerHTML = 'Status'
			           	  }
			           	  
			        	  var table = document.getElementById("lDetails");
			        	  
			        	  var rowCount = table.rows.length;
			              var row = table.insertRow(rowCount);

			              var cell0 = row.insertCell(0);
			              cell0.innerHTML = (i+1)
			              
			              var cell1 = row.insertCell(1);
			              cell1.innerHTML = data[i]['codigo'];

			              var cell2 = row.insertCell(2);
			              cell2.innerHTML = data[i]['denominacion'];
			              
			              var cell3 = row.insertCell(3);
			              cell3.innerHTML = data[i]['descripcion'];

			              if(1==data[i]['id']){
				              var cell4 = row.insertCell(4);
				              var status=data[i]['descEstado']
				              if(status.length>2){
				            	  var room_status=status.substring(0, 2);
				            	  if(room_status=='DI'){
				            		  status=status+'&nbsp;<i class="entypo-trash"></i>';
					               }
						      }
				              cell4.innerHTML = status;
			              }
			          }
			        }
				},
				error: function(xhr, status, error) {
					alert(status);
			    }
			});
		})
		
		$("#txtBusinessDate").on('input', function () {
		    var val = this.value;
		    if($('#lBusinessDate option').filter(function(){
		        return this.value.toUpperCase() === val.toUpperCase();        
		    }).length) {
		        //send ajax request
		    	filter();
		    }
		});
		
		$("#txtBusinessDate").keyup(function(event) {
		    if (event.keyCode === 13) {
		    	var selectedOption = $("#lBusinessDate option[value='" + $(this).val() + "']");
			    var selectedPerson = parseInt(selectedOption.attr('data-value'));
			    if (selectedPerson) {
			    	filter();
			    } else {
				    rooms();
			    }
		    }
		});

		function rooms(){
			var businessDate='Todos';
			var idBusinessDate=0;
			if(idBusinessDate>=0){
	   	        $.ajax({
					url : baseURL + "/setfilter",
					data : {
						id: idBusinessDate,
						day:businessDate
					},
					async:false,
					type : "get",
					success : function(Id) {
						window.location.replace(baseURL+"/beds");
					},
			        error : function(err) {
			            alert(err);
			        }
				});
			}
		}
		
		function filter(){
			var businessDate=$("#txtBusinessDate").val();
			var idBusinessDate=getIdBusinessDate($("#txtBusinessDate").val());
			if(idBusinessDate>=0){
	   	        $.ajax({
					url : baseURL + "/setfilter",
					data : {
						id: idBusinessDate,
						day:businessDate
					},
					async:false,
					type : "get",
					success : function(Id) {
						window.location.replace(baseURL+"/beds");
					},
			        error : function(err) {
			            alert(err);
			        }
				});
			}
		}

		function getIdBusinessDate(str){
			var selectedOption = $("#lBusinessDate option[value='" + str + "']");
		    var selectedId = parseInt(selectedOption.attr('data-value'));
		    if (selectedId>=0) {
		    	return selectedId;
		    } else {
		    	return -1;
		    }
		}
	</script>
	
	<!-- Imported styles on this page -->
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/font-awesome/css/font-awesome.min.css" />">

	<!-- Bottom scripts (common) -->
	<script src="<c:url value="/resources/assets/js/gsap/TweenMax.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery-ui/js/jquery-ui-1.10.3.minimal.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/bootstrap.js" />"></script>
	<script src="<c:url value="/resources/assets/js/joinable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/resizeable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/neon-api.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.min.js" />"></script>


	<!-- Imported scripts on this page -->
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-europe-merc-en.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery.sparkline.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/vendor/d3.v3.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/raphael-min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/morris.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/toastr.js" />"></script>


	<!-- JavaScripts initializations and stuff -->
	<script src="<c:url value="/resources/assets/js/neon-custom.js" />"></script>


	<!-- Demo Settings -->
	<script src="<c:url value="/resources/assets/js/neon-demo.js" />"></script>
	
</body>
</html>